# Copyright 2021 (c) Anna Schumaker.
import audio
import pathlib
import tagdb
import unittest

test_album = pathlib.Path("./data/Test Album/")

class TestAudio(unittest.TestCase):
    def test_audio_init(self):
        self.assertIsInstance(audio.Player, audio.player.Player)

    def test_audio_play_track(self):
        lib = tagdb.Library.add(test_album)
        lib.scan().join()
        track = [ t for t in lib.tracks if t.tracknumber == 1 ][0]

        self.assertTrue(audio.play_track(track))
        self.assertTrue(audio.Player.playing)
        self.assertFalse(audio.play_track(track))
        audio.Player.playing = False

    def test_audio_widgets(self):
        seeker = audio.SeekControl()

        self.assertIsInstance(audio.AudioControls(),
                              audio.controls.AudioControls)
        self.assertIsInstance(audio.Artwork(),
                              audio.artwork.Artwork)
        self.assertIsInstance(audio.NowPlaying(),
                              audio.nowplaying.NowPlaying)
        self.assertIsInstance(seeker, audio.scale.ScaleButtonBox)
        self.assertIsInstance(seeker.get_first_child().get_next_sibling(),
                              audio.scale.SeekScale)
