# Copyright 2021 (c) Anna Schumaker.
import lib
import pathlib


from . import artist
from . import album
from . import disc
from . import genre
from . import decade
from . import year
from . import library
from . import track
from . import state
from . import user

def make_fake_track(trackno, length, title, path, lib="/a/b/c", art="Test Artist",
                    alb="Test Album", disk=1, subtitle=None, yeer=2021):
    lib = library.Table.find(pathlib.Path(lib))
    art = artist.Table.find(art, art)
    alb = art.find_album(alb)
    disk = alb.find_disc(disk, subtitle)
    dec = decade.Table.find((yeer // 10) * 10)
    yeer = dec.find_year(yeer)
    return track.Table.insert(lib, art, alb, disk, dec, yeer, trackno,
                              length, title, pathlib.Path(path))

def reset():
    mods = [ track, state, user, artist, album,
             disc, genre, decade, year, library ]
    for mod in mods: mod.Table.reset()

if lib.version.TESTING: reset()
