# Copyright 2021 (c) Anna Schumaker.
from . import counter
from gi.repository import Gtk
import unittest

class TestCounter(unittest.TestCase):
    def test_counter(self):
        c = counter.Counter(1, 10)

        self.assertIsInstance(c, Gtk.Adjustment)

        self.assertEqual(c.get_lower(), 1)
        self.assertEqual(c.get_upper(), 11)
        self.assertEqual(c.get_value(), 1)

        for i in [ 2, 3, 4, 5, 6, 7, 8, 9, 10, None ]:
            self.assertEqual(c.increment(), i)

        for i in [ 9, 8, 7, 6, 5, 4, 3, 2, 1, None ]:
            self.assertEqual(c.decrement(), i)
