# Copyright 2021 (c) Anna Schumaker.
from lib import settings
from . import column
from gi.repository import Gtk
import unittest

class TestPlaylistColumn(unittest.TestCase):
    def tearDown(self):
        settings.reset()

    def test_playlist_column_init(self):
        col = column.Column("Test", "test")
        self.assertIsInstance(col, Gtk.ColumnViewColumn)
        self.assertIsInstance(col.factory, Gtk.SignalListItemFactory)

        self.assertEqual(col.get_title(), "Test")
        self.assertEqual(col.field, "test")
        self.assertEqual(col.align, 0)
        self.assertEqual(col.get_factory(), col.factory)
        self.assertTrue(col.get_resizable())
        self.assertFalse(col.get_expand())

        col = column.Column("Test2", "test", expand=True)
        self.assertTrue(col.get_expand())

    def test_playlist_column_width(self):
        col = column.Column("Test", "test", width=100)

        self.assertEqual(settings.get_int("column.Test"), 100)
        col.set_fixed_width(200)
        self.assertEqual(settings.get_int("column.Test"), 200)
