# Copyright 2021 (c) Anna Schumaker.
from . import icons
from . import window
from gi.repository import Gdk, Gtk
import pathlib
import unittest

Path = pathlib.Path("./data").absolute()

class TestUIIcons(unittest.TestCase):
    def test_icons(self):
        self.assertIsInstance(icons.Display, Gdk.Display)
        self.assertIsInstance(icons.Theme, Gtk.IconTheme)

        self.assertEqual(icons.Display, window.Window.get_display())
        self.assertEqual(icons.Theme, Gtk.IconTheme.get_for_display(icons.Display))
        self.assertEqual(icons.IconPath, Path)

        self.assertIn(str(Path), icons.Theme.get_search_path())
        self.assertTrue(icons.Theme.has_icon("emmental"))
        self.assertTrue(icons.Theme.has_icon("emmental-favorites"))
