# Copyright 2021 (c) Anna Schumaker.
from . import keyboard
from gi.repository import Gtk
import audio
import tagdb
import unittest

class TestUIKeyboard(unittest.TestCase):
    def setUp(self):
        keyboard.initialize()

    def test_keyboard_init(self):
        self.assertIsInstance(keyboard.Event, Gtk.EventControllerKey)

        self.assertEqual(keyboard.Shortcuts["Return"], audio.Player.next)
        self.assertEqual(keyboard.Shortcuts["BackSpace"], audio.Player.previous)
        self.assertEqual(keyboard.Shortcuts["plus"], tagdb.Stack.Counter.increment)
        self.assertEqual(keyboard.Shortcuts["KP_Add"], tagdb.Stack.Counter.increment)
        self.assertEqual(keyboard.Shortcuts["minus"], tagdb.Stack.Counter.decrement)
        self.assertEqual(keyboard.Shortcuts["KP_Subtract"], tagdb.Stack.Counter.decrement)
