# Copyright 2021 (c) Anna Schumaker.
from lib import settings
from . import pane
from gi.repository import Gtk
import audio
import playlist
import sidebar
import unittest

class TestUIPane(unittest.TestCase):
    def setUpClass():
        pane.initialize()

    def test_pane_init(self):
        self.assertIsInstance(pane.Pane, Gtk.Paned)
        self.assertEqual(pane.Pane.get_start_child(), sidebar.Box)
        self.assertEqual(pane.Pane.get_end_child(), playlist.Box)
        self.assertTrue(pane.Pane.get_vexpand())

        self.assertEqual(pane.Pane.get_position(), 200)
        self.assertEqual(settings.get_int("sidebar.width"), 200)

        pane.Pane.set_position(100)
        self.assertEqual(pane.Pane.get_position(), 100)
        self.assertEqual(settings.get_int("sidebar.width"), 100)
